cr2image.hpp File Reference

Class Cr2Image. More...

`#include "exiv2lib_export.h"`
`#include "image.hpp"`

Go to the source code of this file.

## Classes

class | Exiv2::Cr2Image
| Class to access raw Canon CR2 images. Exif metadata is supported directly, IPTC is read from the Exif data, if present. More...
class | Exiv2::Cr2Parser
| Stateless parser class for data in CR2 format. Images use this class to decode and encode CR2 data. See class TiffParser for details. More...

## Namespaces

| Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.
| Exiv2::ImageType
| Supported image formats.

## Functions

EXIV2API Image::AutoPtr | Exiv2::newCr2Instance (BasicIo::AutoPtr io, bool create)
| Create a new Cr2Image instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
EXIV2API bool | Exiv2::isCr2Type (BasicIo &iIo, bool advance)
| Check if the file iIo is a CR2 image.

## Variables

const int | Exiv2::ImageType::cr2 = 7
| CR2 image type (see class Cr2Image)

## Detailed Description

Class Cr2Image.

Author
  Andreas Huggel (ahu) ahuggel@gmx.net

Date
  22-Apr-06, ahu: created